ur_rna.StructureEditor.services.fileIO

## Class DrawingFileIO.CTEWriter

- java.lang.Object
- - ur_rna.StructureEditor.services.fileIO.DrawingFileIO.TextWriter
  - - ur_rna.StructureEditor.services.fileIO.DrawingFileIO.CTEWriter

- Enclosing class:
    DrawingFileIO

      private static class DrawingFileIO.CTEWriter
      extends DrawingFileIO.TextWriter

- - ### Field Summary

    - ### Fields inherited from class ur_rna.StructureEditor.services.fileIO.DrawingFileIO.TextWriter

      `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTEWriter(java.io.Writer writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DrawingFileIO.CTEWriter` | `space()` Write a single space character.
    `DrawingFileIO.CTEWriter` | `writep(java.lang.String propName, int valuePadding, int value)`
    `DrawingFileIO.CTEWriter` | `writep(java.lang.String propName, int valuePadding, java.lang.String value)` Write a property value

    - ### Methods inherited from class ur_rna.StructureEditor.services.fileIO.DrawingFileIO.TextWriter

      `space, write, write, write, write, write, write, write, write, writeln`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CTEWriter

          public CTEWriter(java.io.Writer writer)

  - ### Method Detail

    - #### space

          public DrawingFileIO.CTEWriter space()

      Description copied from class: `DrawingFileIO.TextWriter`
      Write a single space character.
      Overrides:
        `space` in class `DrawingFileIO.TextWriter`

    - #### writep

          public DrawingFileIO.CTEWriter writep(java.lang.String propName,
                                                int valuePadding,
                                                int value)

    - #### writep

          public DrawingFileIO.CTEWriter writep(java.lang.String propName,
                                                int valuePadding,
                                                java.lang.String value)

      Write a property value